Skip to main content
PUT
/
api2
/
v1
/
projects
/
{projectUid}
/
qaSettings
Edit quality assurance settings
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/qaSettings \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "emptyPairTags": true,
  "emptyTagContent": true,
  "emptyTranslation": true,
  "excludeLockedSegments": true,
  "forbiddenStrings": [
    "<string>"
  ],
  "forbiddenTerms": true,
  "formatting": true,
  "ignoreNotApprovedTerms": true,
  "inconsistentTagContent": true,
  "inconsistentTranslation": true,
  "joinTags": true,
  "leadingAndTrailingSpaces": true,
  "missingNumbers": true,
  "moraviaQA": {
    "enabled": true,
    "profile": "<string>"
  },
  "multipleSpaces": true,
  "newerAtPrecedingWorkflowStep": true,
  "regexp": {
    "rules": [
      {
        "description": "<string>",
        "id": "<string>",
        "ignorable": true,
        "instant": true,
        "sourceRegexp": "<string>",
        "targetRegexp": "<string>"
      }
    ]
  },
  "repeatedWords": true,
  "segmentNotConfirmed": true,
  "spellCheck": true,
  "strictJobStatus": false,
  "targetLengthMax": 1,
  "targetLengthPerSegment": true,
  "targetLengthPercent": 1,
  "terminology": true,
  "trailingPunctuation": true,
  "trailingSpace": true,
  "unresolvedComment": true,
  "xliffTags": true
}
'
{
  "emptyPairTags": true,
  "emptyTagContent": true,
  "emptyTranslation": true,
  "excludeLockedSegments": true,
  "extraNumbers": true,
  "forbiddenStrings": {
    "enabled": true,
    "list": [
      "<string>"
    ]
  },
  "forbiddenTerms": true,
  "formatting": true,
  "fuzzyInconsistency": true,
  "ignoreInAllWorkflowSteps": true,
  "ignoreNotApprovedTerms": true,
  "inconsistentTagContent": true,
  "inconsistentTranslation": true,
  "joinTags": true,
  "leadingAndTrailingSpaces": true,
  "missingNonTranslatableAnnotation": true,
  "missingNumbers": true,
  "moravia": {
    "enabled": true,
    "profile": "<string>"
  },
  "multipleSpaces": true,
  "nestedTags": true,
  "newerAtPrecedingWorkflowStep": true,
  "regexp": {
    "rules": [
      {
        "description": "<string>",
        "id": "<string>",
        "ignorable": true,
        "instant": true,
        "sourceRegexp": "<string>",
        "targetRegexp": "<string>"
      }
    ]
  },
  "repeatedWords": true,
  "segmentNotConfirmed": true,
  "spellCheck": true,
  "strictJobStatus": true,
  "targetLength": {
    "enabled": true,
    "max": 123
  },
  "targetLengthPerSegment": true,
  "targetLengthPercent": {
    "enabled": true,
    "max": 123
  },
  "targetSourceIdentical": true,
  "terminology": true,
  "trailingPunctuation": true,
  "trailingSpace": true,
  "unmodifiedFuzzyTranslation": true,
  "unmodifiedFuzzyTranslationMTNT": true,
  "unmodifiedFuzzyTranslationTM": true,
  "unresolvedComment": true,
  "xliffTags": true
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Body

application/json
emptyPairTags
boolean

Default: false

emptyTagContent
boolean

Default: false

emptyTranslation
boolean

Default: false

excludeLockedSegments
boolean

Default: false

forbiddenStrings
string[]
forbiddenTerms
boolean

Default: false

formatting
boolean

Default: false

ignoreNotApprovedTerms
boolean

Default: false

inconsistentTagContent
boolean

Default: false

inconsistentTranslation
boolean

Default: false

joinTags
boolean

Default: false

leadingAndTrailingSpaces
boolean

Default: false

missingNumbers
boolean

Default: false

moraviaQA
object
multipleSpaces
boolean

Default: false

newerAtPrecedingWorkflowStep
boolean

Default: false

regexp
object
repeatedWords
boolean

Default: false

segmentNotConfirmed
boolean

Default: false

spellCheck
boolean

Default: false

strictJobStatus
boolean

Linguists may not set jobs with unresolved QA warnings to Completed. default value: false

Example:

false

targetLengthMax
integer<int32>
Required range: x >= 0
targetLengthPerSegment
boolean

Default: false

targetLengthPercent
number<double>
Required range: x >= 0
terminology
boolean

Default: false

trailingPunctuation
boolean

Default: false

trailingSpace
boolean

Default: false

unresolvedComment
boolean

Default: false

xliffTags
boolean

Default: false

Response

successful operation

emptyPairTags
boolean
emptyTagContent
boolean
emptyTranslation
boolean
excludeLockedSegments
boolean
extraNumbers
boolean
forbiddenStrings
object
forbiddenTerms
boolean
formatting
boolean
fuzzyInconsistency
boolean
ignoreInAllWorkflowSteps
boolean
ignoreNotApprovedTerms
boolean
inconsistentTagContent
boolean
inconsistentTranslation
boolean
joinTags
boolean
leadingAndTrailingSpaces
boolean
missingNonTranslatableAnnotation
boolean
missingNumbers
boolean
moravia
object
multipleSpaces
boolean
nestedTags
boolean
newerAtPrecedingWorkflowStep
boolean
regexp
object
repeatedWords
boolean
segmentNotConfirmed
boolean
spellCheck
boolean
strictJobStatus
boolean
targetLength
object
targetLengthPerSegment
boolean
targetLengthPercent
object
targetSourceIdentical
boolean
terminology
boolean
trailingPunctuation
boolean
trailingSpace
boolean
unmodifiedFuzzyTranslation
boolean
unmodifiedFuzzyTranslationMTNT
boolean
unmodifiedFuzzyTranslationTM
boolean
unresolvedComment
boolean
xliffTags
boolean